---
title: Window.document
slug: Web/API/Window/document
tags:
  - API
  - HTML DOM
  - Property
  - Reference
  - Window
---
<div>{{APIRef}}</div>

<p><span class="seoSummary"><strong><code>window.document</code></strong> returns a reference to the <a href="/en-US/docs/Web/API/document">document</a> contained in the window.</span></p>

<h2 id="Example">Example</h2>

<pre class="brush: js notranslate">console.log(window.document.title);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-document-2', 'Window.document')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', 'browsers.html#dom-document-0', 'Window.document')}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Window.document")}}</p>
